List object storage buckets
import requests
url = "https://platform.ankra.app/api/v1/org/object-storage-buckets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/object-storage-buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/object-storage-buckets \
--header 'Authorization: Bearer <token>'{
"items": [
{
"bucket": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path_style": true,
"provider": "hetzner",
"region": "<string>",
"status": "provisioning",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Object Storage Buckets
List object storage buckets
Bearer PAT authentication; RBAC permission credentials.read (read-class). Lists the organisation’s live object storage buckets, newest first. Key material and the Vault path it lives under are never returned.
GET
/
api
/
v1
/
org
/
object-storage-buckets
List object storage buckets
import requests
url = "https://platform.ankra.app/api/v1/org/object-storage-buckets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/object-storage-buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/object-storage-buckets \
--header 'Authorization: Bearer <token>'{
"items": [
{
"bucket": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path_style": true,
"provider": "hetzner",
"region": "<string>",
"status": "provisioning",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}